## org.eclipse.jst.jsf.context.symbol
Interface IComponentSymbol

All Superinterfaces:
  IDescribedInDetail, IInstanceSymbol, IObjectSymbol, ISymbol

    public interface IComponentSymbol

extends IInstanceSymbol, IDescribedInDetail

A representation of the model object 'IComponent Symbol'.

Provisional API - subject to change

See Also:
  `SymbolPackage.getIComponentSymbol()`

Field Summary
`static java.lang.String` `copyright`

Fields inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`EMPTY_SYMBOL_ARRAY`

Method Summary

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IInstanceSymbol
`getRuntimeSource, getTypeDescriptor, isTypeResolved, setRuntimeSource`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IObjectSymbol
`call, coerce, isReadable, isWritable, setReadable, setTypeDescriptor, setWritable, supportsCoercion`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`getName, setName`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IDescribedInDetail
`getDetailedDescription, setDetailedDescription`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values